C*********************************************************************
C*********************************************************************
C** 
C**     File: cmdln.inc
C**
C**     Project: jitax77
C**
C**     Description: Contains the commons used by the command line
C**                  reader routines in cmdln.for
C**
C*********************************************************************
C**
C** Copyright (c) 2003 Scott A. Belmonte
C**
C** E-mail: scott.belmonte@ntlworld.com
C**
C** This file is part of jitax77.
C**
C** jitax77 is free software; you can redistribute it and/or modify
C** it under the terms of the GNU General Public License as published
C** by the Free Software Foundation; either version 2 of the License,
C** or (at your option) any later version.
C**
C** jitax77 is distributed in the hope that it will be useful,
C** but WITHOUT ANY WARRANTY; without even the implied warranty of
C** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C** GNU General Public License for more details.
C**
C** You should have received a copy of the GNU General Public License
C** along with jitax77; if not, write to the Free Software
C** Foundation, Inc., 59 Temple Place, Suite 330, Boston,
C** MA  02111-1307  USA.
C**
C*********************************************************************
C*********************************************************************
C     Storage for the character command line options: 
C
C     -b file_name   : BAKFIL - background file name
C     -e expname     : EXPNAM - experiment name
C     
      COMMON /COPTS/ BAKFIL, EXPNAM
      CHARACTER*80 BAKFIL ! Name of the background file
      CHARACTER*80 EXPNAM ! Experiement name
      SAVE /COPTS/
C     
C     Storage for the numeric command line options:
C     -m # : NMERGE - # is the number of frames to merge
C     -v   : DEBUG  - verbose (debug) mode.
C     -l   : BIGEND_FLF - Endian to write FLF file in
C     -a   : AVERAGE - Average rather than add merged files
C     -d   : DYNBAK - Calculate and subtract dynamic background
C     -c # : COSMIC - Cosmic ray correction (see readme.txt) 
C
      COMMON /NOPTS/ START_FRAME, END_FRAME, NMERGE, DEBUG, 
     $               BIGEND_FLF, AVERAGE, DYNBAK, COSMIC
      INTEGER START_FRAME ! Start frame number in experiment
      INTEGER END_FRAME   ! End frame number in experiment
      INTEGER NMERGE      ! Number of frames to merge
      LOGICAL DEBUG       ! Debug flag
      LOGICAL BIGEND_FLF  ! .TRUE. if FLF output should be big endian
      LOGICAL AVERAGE     ! .TRUE. average frames, .FALSE. add frames
      LOGICAL DYNBAK      ! .TRUE. subtract dynamic background
      INTEGER COSMIC      ! Num. frames used in cosmic ray correction 
      SAVE /NOPTS/
C
