C*********************************************************************
C*********************************************************************
C** 
C**     File: tiff.inc
C**
C**     Project: jitax77
C**
C**     Description: Contains the commons used by the TIFF file
C**                  reader routines in tiff.for
C**
C**  TIFF documentation can be found at: 
C**     http://partners.adobe.com/asn/developer/pdfs/tn/TIFF6.pdf
C**
C*********************************************************************
C**
C** Copyright (c) 2003 Scott A. Belmonte
C**
C** E-mail: scott.belmonte@ntlworld.com
C**
C** This file is part of jitax77.
C**
C** jitax77 is free software; you can redistribute it and/or modify
C** it under the terms of the GNU General Public License as published
C** by the Free Software Foundation; either version 2 of the License,
C** or (at your option) any later version.
C**
C** jitax77 is distributed in the hope that it will be useful,
C** but WITHOUT ANY WARRANTY; without even the implied warranty of
C** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C** GNU General Public License for more details.
C**
C** You should have received a copy of the GNU General Public License
C** along with jitax77; if not, write to the Free Software
C** Foundation, Inc., 59 Temple Place, Suite 330, Boston,
C** MA  02111-1307  USA.
C**
C*********************************************************************
C*********************************************************************
C
      INTEGER REC_SIZE  ! The TIFF file record size in bytes
      INTEGER UNT       ! The unit number that file is opened on
      INTEGER MAXSTRIPS ! Maximum number of data strips in file
      INTEGER MAXCHRLEN ! Maximum string length
      INTEGER MAXSTRPSZ ! Maximum strip size in bytes
      PARAMETER (REC_SIZE = 2048)
      PARAMETER (UNT = 11)
      PARAMETER (MAXSTRIPS = 256)
      PARAMETER (MAXCHRLEN = 1024)
      PARAMETER (MAXSTRPSZ = 32767)
C
      BYTE    BUFFER(REC_SIZE) ! Read buffer for records
      INTEGER LAST_REC         ! The last record read into BUFFER
      LOGICAL BIG_END          ! .TRUE. if TIFF file is big endian
      LOGICAL SWAP             ! If .TRUE. the bytes need to be
C                              ! before they can be used
      COMMON /TIFF_FILE/ BUFFER, LAST_REC, BIG_END, SWAP
      SAVE /TIFF_FILE/
C
C     See TIFF docs. for the definitions of the variables below
C
      INTEGER NEWSUBFILETYPE
      INTEGER WIDTH
      INTEGER HEIGHT
      INTEGER BITSPERSAMPLE
      INTEGER COMPRESSION
      INTEGER PHOTOINTERP
      INTEGER NUMSTRIPS
      INTEGER STRIPOFFSETS(MAXSTRIPS)
      INTEGER SAMPLESPERPIXEL
      INTEGER ROWSPERSTRIP
      INTEGER STRIPBYTECOUNTS(MAXSTRIPS)
      COMMON /TIFF_INTS/ NEWSUBFILETYPE, WIDTH, HEIGHT, BITSPERSAMPLE,
     $                   COMPRESSION, PHOTOINTERP, NUMSTRIPS, 
     $                   STRIPOFFSETS, SAMPLESPERPIXEL, ROWSPERSTRIP,
     $                   STRIPBYTECOUNTS
      SAVE /TIFF_INTS/
C
      CHARACTER SOFTWARE(MAXCHRLEN)
      CHARACTER DATETIME(MAXCHRLEN)
      COMMON /TIFF_CHARS/ SOFTWARE, DATETIME
      SAVE /TIFF_CHARS/
C
      BYTE RAWDATA(MAXSTRPSZ)
      COMMON /TIFF_DATA/ RAWDATA
      SAVE /TIFF_DATA/
C
